<div class="container-fluid bg-titles">
  <div class="container p-3">
    <div class="row">
      <div class="col-12 col-lg-9 offset-lg-3">
        <h1 class="text-white">Contacto</h1>
      </div>
    </div>
  </div>
</div>
<div class="container-fluid">
  <div class="container">
    <div class="row">
      <div class="col-3 d-none d-lg-block">
        <img src="assets/images/sidebar.png" width="100%"  alt="sidebar">
      </div>
      <div class="col-12 col-lg-9 bg-light general-content">
        <p *ngIf="alert.active">
          <ngb-alert [type]="alert.type" (closed)="closed()">{{ alert.message }}</ngb-alert>
        </p>
        <form class="p-3" (ngSubmit)="sendEmail(form); form.reset()" #form="ngForm">
          <div class="row mt-3">
            <label for="name">Nombre</label>
            <input type="text" name="name" id="name" placeholder="Nombre" class="form-control" ngModel required>
          </div>
          <div class="row mt-3">
            <label for="email">Email</label>
            <input type="email" name="email" id="email" placeholder="Email" class="form-control" ngModel required>
          </div>
          <div class="row mt-3">
            <label for="telephone">Telefono</label>
            <input type="number" name="telephone" id="telephone" placeholder="Telefono" class="form-control" ngModel required>
          </div>
          <div class="row mt-3">
            <label for="message">Mensaje</label>
            <textarea name="message" id="message" class="form-control" rows="10" placeholder="Mensaje" ngModel required></textarea>
          </div>
          <div class="row mt-3">
            <div class="d-grid gap-2 d-md-flex justify-content-md-end">
              <button class="btn btn-primary" type="submit" [disabled]="form.invalid">Enviar</button>
            </div>
          </div>
          <re-captcha
            (resolved)="resolved($event)"
            siteKey="6LfKOJcbAAAAAJ6Nnt_ZdN5MoIBz9znuxfH0An1t"
          ></re-captcha>
        </form>
      </div>
    </div>
  </div>
</div>
